# Class SourcePermissions

Namespace
  adas_core.Domain

Assembly
  adas-core.Domain.dll

Represents a set of permissions associated with a source, defining the access rights or constraints applicable to it.

    public class SourcePermissions

Inheritance
  object
  SourcePermissions

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This class encapsulates permission-related information for a given source context.

## Properties

### Actions

    public List<ActionsEnum.Actions> Actions { get; set; }

#### Property Value

List<ActionsEnum.Actions>